target_root=$1

DEVKIT_DIR=$(dirname $(dirname `readlink -f "$0"`))
DEVKIT_NAME='doctools'

mkdir -p $target_root/usr/share
cp -r "${DEVKIT_DIR}/${DEVKIT_NAME}/share/cdbs" "${target_root}/usr/share"
ln -fs /usr/share/cdbs/  $target_root/usr/share/gnome-pkg-tools

# create the catalog directories and copy stuff that point to devkit
for i in sgml xml ; do
	mkdir -p "${target_root}/etc/${i}"
	cp "${DEVKIT_DIR}/${DEVKIT_NAME}/etc/${i}/catalog" "${target_root}/etc/${i}"
done

cp "${DEVKIT_DIR}/${DEVKIT_NAME}/etc/xml/"*.xml "${target_root}/etc/xml"

# sgml-data
mkdir -p "${target_root}/usr/share/xml/entities"
mkdir -p "${target_root}/usr/share/sgml-data"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/xml/entities/xml-iso-"* \
         "${target_root}/usr/share/xml/entities"
cp       "${DEVKIT_DIR}/${DEVKIT_NAME}/share/sgml-data/sgml-catalog-check.pl" \
         "${target_root}/usr/share/sgml-data"
chmod +x "${target_root}/usr/share/sgml-data/sgml-catalog-check.pl"

# sgmltools-lite
mkdir -p "${target_root}/usr/share/sgml/dtd"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/sgml/dtd/sgmltools" \
         "${target_root}/usr/share/sgml/dtd"

# debiandoc-sgml
mkdir -p "${target_root}/usr/share/sgml/debiandoc"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/sgml/debiandoc" \
         "${target_root}/usr/share/sgml"

# texinfo
mkdir -p "${target_root}/usr/share"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/texinfo" \
         "${target_root}/usr/share"

# docbook
mkdir -p "${target_root}/usr/share/sgml/docbook"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/sgml/docbook/dtd" \
         "${target_root}/usr/share/sgml/docbook"

# xml-core
mkdir -p "${target_root}/usr/share/xml"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/xml/schema" \
         "${target_root}/usr/share/xml"

# docbook-xml
mkdir -p "${target_root}/usr/share/xml/docbook"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/xml/docbook/schema" \
         "${target_root}/usr/share/xml/docbook"

# docbook-xsl
mkdir -p "${target_root}/usr/share/xml/docbook"
mkdir -p "${target_root}/usr/share/sgml/docbook/stylesheet/xsl"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/xml/docbook/stylesheet" \
         "${target_root}/usr/share/xml/docbook"
ln -sf   "${target_root}/usr/share/xml/docbook/stylesheet/nwalsh" \
         "${target_root}/usr/share/sgml/docbook/stylesheet/xsl/nwalsh"

# opensp
mkdir -p "${target_root}/usr/share"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/OpenSP" \
         "${target_root}/usr/share"

# jade
mkdir -p "${target_root}/usr/share/sgml"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/sgml/jade" \
         "${target_root}/usr/share/sgml"

# linuxdoc-tools
mkdir -p "${target_root}/usr/share/linuxdoc-tools"
cp -r    "${DEVKIT_DIR}/${DEVKIT_NAME}/share/linuxdoc-tools/dtd" \
         "${target_root}/usr/share/linuxdoc-tools"

